Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Adopt paths in Makefiles

  • Loading branch information...
commit ee43f18a6579beff9daa534186cba00082151a7c 1 parent b4833a7
Mikael Magnusson authored
2  bin/jerl.in
View
@@ -5,5 +5,5 @@
basedir=@JUNGERL_DIR@
erl=@ERL@
-${erl} -pa ${basedir}/lib/*/ebin "$@"
+${erl} -pa ${basedir}/ebin "$@"
2  c_src/Makefile
View
@@ -1,4 +1,4 @@
-include ../../../support/include.mk
+include ../support/include.mk
CFLAGS += -I$(ERL_C_INCLUDE_DIR) -I.
48 config/configure.in
View
@@ -32,18 +32,6 @@ AC_CHECK_HEADERS(malloc.h)
BT_MSG_CONTROL
-dnl For the Slang driver. I don't think this is really currect just now..
-
-AC_ARG_WITH(slang-include, [ --with-slang-include=DIR installed slang library],
- if test "X$withval" != X; then
- HAVE_SLANG="true"
- fi
- )
-
-AC_CHECK_HEADERS(slang.h, HAVE_SLANG="true")
-
-AC_SUBST(SLANG_INCLUDE)
-
case "$target_os" in
*cygwin*)
:
@@ -84,11 +72,6 @@ if test -z $HAVE_TUNTAP; then
echo "No tunnel linux/if_tun.h" > ../lib/tuntap/SKIP
fi
-if test -z $HAVE_SLANG; then
- echo "No Slang header files" > ../lib/slang/SKIP
- cp ../lib/slang/SKIP ../lib/ermacs/ # ermacs needs slang
-fi
-
dnl libnsl and libsocket tests borrowed from ethereal's autoconf scheme.
dnl # msh@cis.ufl.edu says -lnsl (and -lsocket) are needed for his 386/AT,
dnl # to get the SysV transport functions.
@@ -112,37 +95,6 @@ AC_CHECK_FUNC(connect, ,
AC_SUBST(SOCKET_LIBS)
dnl
-dnl The "gd1_drv" driver for libgd 1.8.4 requires the following:
-dnl libgd version 1 (as a shared library!), libpng, libjpeg, libXpm
-dnl If you have all of those things, then create the file
-dnl ../support/GDConfig.mk (according to the instructions in
-dnl ../jungerl/lib/gd1_drv/README) and re-run "make" at the top level.
-dnl
-
-AC_MSG_CHECKING([whether to build gd1_drv driver])
-if test -f ../support/GDConfig.mk ; then
- rm -f ../lib/gd1_drv/SKIP
- AC_MSG_RESULT([yes])
-else
- echo "Missing CVSROOT/jungerl/support/GDConfig.mk file" > ../lib/gd1_drv/SKIP
- AC_MSG_RESULT([no, see CVSROOT/jungerl/lib/gd1_drv/README for instructions])
-fi
-
-dnl
-dnl The "spread_drv" driver for the Spread reliable multicast toolkit
-dnl is known to work with version 3.17.0 of Spread.
-dnl
-
-AC_MSG_CHECKING([whether to build spread_drv driver])
-if test -f ../support/SpreadConfig.mk ; then
- rm -f ../lib/spread_drv/SKIP
- AC_MSG_RESULT([yes])
-else
- echo "Missing CVSROOT/jungerl/support/SpreadConfig.mk file" > ../lib/spread_drv/SKIP
- AC_MSG_RESULT([no, see CVSROOT/jungerl/lib/spread_drv/README for instructions])
-fi
-
-dnl
dnl End.
AC_OUTPUT(../support/include.mk ../bin/jerl)
2  src/Makefile
View
@@ -1,4 +1,4 @@
-include ../../../support/include.mk
+include ../support/include.mk
# Some modules are automatically generated, so we won't use the
# include makefile's auto-detected list.
2  support/include.mk.in
View
@@ -4,7 +4,7 @@
## C
CC := @CC@
-CFLAGS := @CFLAGS@ @DEFS@
+CFLAGS := @CFLAGS@ @DEFS@ -I@abs_top_srcdir@/../support
LD_SHARED := @LD_SHARED@
SLANG_INCLUDE := @SLANG_INCLUDE@
Please sign in to comment.
Something went wrong with that request. Please try again.